Subject: sum: setup cluster & avoid g98 error l9999

From: "Jim Fan" <[email-masked]>
Date: Sat, 31 Mar 2001 13:37:08 +0800

Dear CCLers:
     Some time ago I posted the question about how to setup a cluster and 
how to avoid the error of gaussian 98 link 9999. Now I have solved the
error l9999 problem by opt(calcall). Thanks for ccl and you all.

I wrote the following question:

---------- Forwarded message ----------

From: "Fan Jianmiao" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, March 22, 2001 8:16 PM
Subject: CCL:setup a cluster and avoid g98 error link 9999

> Dear CCLers:
> 
>      I want to get some help on how to establish a cluster and how to avoid 
> the error of gaussian 98 link 9999.
> 
>      Our lab needs a cluster running gaussian to get a better calculating 
> envirement. But we haven't enough money, we want to buy some PC and form a 
> small cluster. But now I don't know the price of Gaussian in parallel(can it 
> sell to china?) and whether there is any other programs needed. Currently we 
> have buy four PCs(each is equipted with 2 processors of pIII933 and 768M
> SDRAM) and a network switcher. But I haven't installed any software for 
> paralleling yet. I wonder, how shall I make up the system?
> 
>      Another problem is how to avoid the error of g98 link 9999. This error
> is very common in our work. Usually we change the iop parameter, but it works
> not alwaysly. We found if the start geometry is not very good then maybe this 
> problem will be conquered. And if the start geometry is similler to the finial
> , it will not come to a normail termination then. Why?  Puzzling problem!
> I often saw this infomation on my screen:
> " Error termination request processed by link 9999.
>   Error termination via Lnk1e in /usr/g98/l9999.exe.
>   Job cpu time:  1 days  1 hours 39 minutes  8.0 seconds.
>   File lengths (MBytes):  RWF=  824 Int=    0 D2E=    0 Chk=    7 Scr=    1"
> 
> What shall I do after I failed changing the iop parameter?If the geometry should
> not be wrong, how can I manage to overcome it?
> 
>     If there's anyone can give me some suggestion or comments on it, I would 
> be very appreciated. 
> 
>     Thanks for all in advance.
> With My Best Regards,
> 
> Sincerely yours,
> Jim Fan

I received the following answers

---------- Forwarded message ----------
Date: Thu, 22 Mar 2001 23:06:43 +0100
From: Bernd Schubert <[email-masked]>
To: Fan Jianmiao <[email-masked]>
Subject: Re: CCL:setup a cluster and avoid g98 error link 9999

Hi,

I think for running gaussian parallel on a cluster you need the LINDA program
sold by the gaussian people (for pricing have a look at:
http://www.gaussian.com/linda.htm)

I think your problem with link 9999 depends on the type of job you run. I'm
doing a lot of dft calculations and very often the energy of of the geometry
optmisations is not converging. On the contrary the force constants and the
energy begin to oscillate. Without a maxiumum of geometry optimisations such
job could run for a very long time without finding an end.
If you are also doing this kind of jobs (dft or hf calculations) then have a
look on your output file. At the end of the last geometry should be mentioned
that the maximum number of geometry optimisations is exceeded.
The maximum number of geom. calculations is controlled by the keyword
opt(MaxCyc=N).
To make the energy better converging it is very often helpful to calculate
the hesse matrix controlled by the keyword opt(calcfc) - only before the
first geom. optmisation or by opt(calcall) - before every geom. optimisation
- or by iop(1/40=N) - every N steps, also possible when analytical
calculations of the hesse matrix are not possible.
An other (and additional to the first suggestions) possibility to make
gaussian better finding the minimum is to reduce the maximum stepsize between
the geometry optimisations controlled by iop(1/8=N) - opt(stepsize=N) is not
working. I have made good experience with iop(1/8=10).

I hope that this is your problem and that it might help you,

Best regards,

Bernd

---------- Forwarded message ----------
Date: Thu, 22 Mar 2001 22:28:55 -0800
From: Roy Jensen <[email-masked]>
To: Jianmiao Fan <[email-masked]>
Subject: Re: How to avoid g98 error link 9999

On Fri, 23 Mar 2001 13:05:25 +0800 (CST), you wrote:

> Dear Jensen:
>    Thanks for your help.I have attched the input and output file.
> The job is terminated by steps exceeded. How can I get a normal
> termination?
>
> On Thu, 22 Mar 2001, Roy Jensen wrote:
>
> > Jim
> >
> > What is the input line for the failed job? Send me that and the
> > complete output file and I will see what I can do about your error
> > termination problem.
> >
> > Roy Jensen
> >
>
> With My Best Regards,
>
> Sincerely yours,
>          Jim Fan

Jim

The input geometry appears to be too far from the optimized structure.
Gaussian calculates the force constants once and uses them for the
remainder of the run. You have two options:

1) Step 19, 22, and 33 came close to converging. Use any of these
geometries as the initial geometry and restart the job.

2) Use opt(calcall) to get gaussian to calculate the force constants
at ever step. You do not need to do a second freq calculation; it is
automatically done with calcall. This method is time consuming but
should work for most any input geometry.

Best of luck,
Roy Jensen

---------- Forwarded message ----------
Date: Wed, 28 Mar 2001 09:42:52 -0500
From: Jerry Lipchus <[email-masked]>
To: Fan Jianmiao <[email-masked]>
Subject: Linda for Gaussian

Dear Fan Jianmiao(Jim_Fan) ,

Linda is available for download at :
http://www.sca.com/site/downloads/index.html

LINDA License

xxxx xxxx xxxx xxxxxx xxxxx xxxxxx x xxxx xxxx
Midnight of May 28, 2001, exclusive
-- 
Scientific Computing Associates
265 Church Street
New Haven, CT 06511

Technical Support       [email-masked]
Tel: (203)777-7442      Fax: (203)776-4074

Thank You

Best regards,
Jerry Lipchus

Director of Sales
Scientific Computing Associates, Inc.
265 Church Street
Suite 1010
New Haven, CT 06510
[email-masked]
203-777-7442 ext 275

------------------------------------------------
------------------------------------------------

With My Best Regards,

Sincerely yours,
Jim Fan

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Fan Jianmiao(Jim_Fan)
Department of Chemistry
East Campus,USTC
Hefei,Anhui,230026,P.R.China

Tel:86-551-3654322(dorm) E-Mail:[email-masked]
    86-551-3606640(lab)  Http://boc.ustc.edu.cn/members/jim_fan/
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
I am an undergraduate student.